# to be run at 12:00, starting a new night PV voltage recording etc.
if [ -a ${1}_m.txt ] 
then
   F=$1.txt
   FN=${F/.txt/}
   Y=`date "+%y" -d $FN`
   M=`date "+%m" -d $FN`
   DA=`date "+%-d" -d $FN`
   DO=$[$DA-1]
   FD=${FN}d.txt

if `date -d "$FN" | grep CEST > /dev/null`  
 then  
  U=UT2
  UT="UTC+2h (CEST)"
 else
  U=UT1 
  UT="UTC+1h (CET)"
fi


# works just for new .gnp since Aug 16, 2006
if [ -a ${F/\.txt/_m.gnp} ] 
then
 sed -r "/set out/{s/(night|[0-9]{6})_m\.png/night_ms.png/}
 /Reliable/{N
  s/Reliable.*\$/Good below 3.6, 4000 lx; 5 min precip. \/ 1 mm'/}
 /set rmargin/{s/8/7/} 
 s/ degrees//
 s/temperature'/temp.'/
 s/ point//" ${F/\.txt/_m.gnp} >/tmp/night_bas_ms.gnp
else
 BegR=`sed -rn '1{s/([-0-9A-Za-z:.]+ ){7}([0-9.]+) .*/\2/p}' ${FN}_m.txt`
 sed "1{i\
  Beg=$BegR
  }" night_bas_ms.gnp >/tmp/night_bas_ms.gnp
fi

LC_TIME=C

DN=`date "+%a %b %d" -d $FN`

sed -r "
 /set term png size/{s/1151,863|831,623/447,335/}
 s/ Kravi hora, Brno,//
 s/UTC\+2h \(CEST\)/$UT/
 s/from a PV panel.*([\"'])$/ending at $DN noon\1/
 s/degrees and vice versa//
s/'Sun.* -18/'Sunset and Sun at -6, -12, -18/ 
s/'nold'/'$FD' index 1/ 
s/'nnew'/'$FD' index 2/ 
s/'m.txt'/'$FD' index 3/ 
s/'s.txt'/'$FD' index 0/ 
s/'night.txt'/'$F'/ 
s/'apdata.txt'/'${FN}_m.txt'/ 
" \
 /tmp/night_bas_ms.gnp >/tmp/night_ms.gnp

gnuplot /tmp/night_ms.gnp

mv night_ms.png small/${FN}_m.png



 fi
